# PhasicFlow: Istream Class Reference

Istream Class Reference
Inheritance diagram for Istream:
[legend]
Collaboration diagram for Istream:
[legend]

## Public Member Functions

| Istream (std::istream &is, const word &streamName)
virtual | ~Istream ()=default
virtual const word & | name () const
virtual word & | name ()
virtual ios_base::fmtflags | flags () const
Istream & | get (char &c)
int | peek ()
Istream & | getLine (word &str, char delim='\n')
std::streamsize | getLine (std::nullptr_t, char delim='\n')
Istream & | putback (const char c)
virtual iIstream & | read (token &t) override
virtual iIstream & | read (char &c) override
virtual iIstream & | read (word &str) override
virtual iIstream & | readString (word &str) override
virtual iIstream & | read (int64 &) override
virtual iIstream & | read (int32 &) override
virtual iIstream & | read (int16 &) override
virtual iIstream & | read (int8 &) override
virtual iIstream & | read (label &) override
virtual iIstream & | read (uint32 &) override
virtual iIstream & | read (uint16 &) override
virtual iIstream & | read (float &val) override
virtual iIstream & | read (double &val) override
virtual void | rewind ()
virtual ios_base::fmtflags | flags (const ios_base::fmtflags flags)
virtual std::istream & | stdStream ()
virtual const std::istream & | stdStream () const
Public Member Functions inherited from iIstream
| iIstream ()
| iIstream (const iIstream &)=default
virtual | ~iIstream ()=default
void | putBack (const token &tok)
bool | getBack (token &tok)
bool | peekBack (token &tok)
void | resetPutBack ()
virtual bool | findToken (const word &w)
virtual bool | findTokenSilent (const word &w, int32 limitLine=100)
virtual bool | findTokenAndNext (const word &w, word &nextW, bool checkEndStatement=true)
virtual bool | findTokenAndNextSilent (const word &w, word &nextW, int32 limitLine=100)
template<typename T >
bool | findKeywordAndVal (const word &keyword, T &val, bool checkEndStatement=true)
template<typename T >
T | lookupData (const word &keyword)
template<typename T >
T | lookupDataOrSet (const word &keyword, const T &setVal)
template<typename T >
bool | nextData (const word &keyword, T &data)
bool | readBegin (const char *funcName)
bool | readEnd (const char *funcName)
bool | readBeginSquare (const char *funcName)
bool | readEndSquare (const char *funcName)
char | readBeginList (const char *funcName)
char | readEndList (const char *funcName)
char | readEndStatement (const char *funcName)
iIstream & | operator() () const
Public Member Functions inherited from IOstream
| IOstream ()
| IOstream (const IOstream &)=default
virtual | ~IOstream ()=default
virtual bool | check (const char *operation) const
bool | fatalCheck (const char *operation) const
bool | opened () const
bool | closed () const
bool | good () const
bool | eof () const
bool | fail () const
bool | bad () const
| operator bool () const
bool | operator! () const
int32 | lineNumber () const
int32 & | lineNumber ()
int32 | lineNumber (const int32 num)
void | setEof ()
void | setFail ()
void | setBad ()
ios_base::fmtflags | setf (const ios_base::fmtflags f)
ios_base::fmtflags | setf (const ios_base::fmtflags f, const ios_base::fmtflags mask)
void | unsetf (const ios_base::fmtflags f)

## Private Member Functions

char | nextValid ()
void | readWordToken (token &t)
Istream & | readVariable (word &str)
void | operator= (const Istream &)=delete

## Private Attributes

word | name_
std::istream & | is_

## Additional Inherited Members

Public Types inherited from IOstream
enum | streamAccess : char { CLOSED = 0, OPENED }
Static Public Member Functions inherited from IOstream
static unsigned int | defaultPrecision ()
static unsigned int | defaultPrecision (unsigned int prec)
Static Public Attributes inherited from IOstream
static unsigned int | precision_ = 6
Protected Member Functions inherited from IOstream
void | setOpened ()
void | setClosed ()
void | setState (ios_base::iostate state)
void | setGood ()
Protected Attributes inherited from IOstream
streamAccess | openClosed_
ios_base::iostate | ioState_
int32 | lineNumber_
Static Protected Attributes inherited from IOstream
static word | staticName_

## Detailed Description

Definition at line 38 of file Istream.hpp.

## Constructor & Destructor Documentation

## Istream()

Istream | ( | std::istream & | is,
|  | const word & | streamName
| ) |  |

Definition at line 308 of file Istream.cpp.

## ~Istream()

virtual ~Istream | ( |  | ) |

virtualdefault

## Member Function Documentation

## nextValid()

char nextValid | ( |  | ) |

private

Definition at line 53 of file Istream.cpp.

References IOstream::bad(), Istream::get(), IOstream::good(), and Istream::putback().

Here is the call graph for this function:

## readWordToken()

void readWordToken | ( | token & | t | ) |

private

Definition at line 131 of file Istream.cpp.

References token::setBad().

Here is the call graph for this function:

## readVariable()

pFlow::Istream & readVariable | ( | word & | str | ) |

private

Definition at line 145 of file Istream.cpp.

References token::BEGIN_BLOCK, token::BEGIN_LIST, token::DOLLAR, token::END_BLOCK, token::END_LIST, pFlow::endl(), errLen, fatalExit, ioErrorInFile, pFlow::nl, and warningInFunction.

Here is the call graph for this function:

## operator=()

void operator= | ( | const Istream & |  | ) |

privatedelete

## name() [1/2]

virtual const word& name | ( |  | ) | const

inlinevirtual

Reimplemented from IOstream.

Definition at line 78 of file Istream.hpp.

References Istream::name_.

Referenced by dictionary::dictionary(), property::property(), and stlFile::read().

Here is the caller graph for this function:

## name() [2/2]

virtual word& name | ( |  | ) |

inlinevirtual

Reimplemented from IOstream.

Definition at line 84 of file Istream.hpp.

References Istream::name_.

## flags() [1/2]

std::ios_base::fmtflags flags | ( |  | ) | const

virtual

Implements IOstream.

Definition at line 864 of file Istream.cpp.

## get()

pFlow::Istream & get | ( | char & | c | ) |

Definition at line 328 of file Istream.cpp.

References Istream::get().

Referenced by Istream::get(), and Istream::nextValid().

Here is the call graph for this function:
Here is the caller graph for this function:

## peek()

int peek | ( |  | ) |

Definition at line 342 of file Istream.cpp.

## getLine() [1/2]

pFlow::Istream & getLine | ( | word & | str,
|  | char | delim = `'\n'`
| ) |  |

Definition at line 348 of file Istream.cpp.

## getLine() [2/2]

std::streamsize getLine | ( | std::nullptr_t | ,
|  | char | delim = `'\n'`
| ) |  |

Definition at line 362 of file Istream.cpp.

References pFlow::count(), and pFlow::algorithms::KOKKOS::max().

Here is the call graph for this function:

## putback()

pFlow::Istream & putback | ( | const char | c | ) |

Definition at line 378 of file Istream.cpp.

Referenced by Istream::nextValid().

Here is the caller graph for this function:

## read() [1/12]

pFlow::iIstream & read | ( | token & | t | ) |

overridevirtual

Implements iIstream.

Definition at line 395 of file Istream.cpp.

References token::BEGIN_BLOCK, token::BEGIN_LIST, token::BEGIN_SQR, token::BEGIN_STRING, token::COLON, token::COMMA, token::DIVIDE, token::DOLLAR, token::END_BLOCK, token::END_LIST, token::END_SQR, token::END_STATEMENT, fatalExit, iIstream::getBack(), ioErrorInFile, token::lineNumber(), pFlow::readInt64(), pFlow::readReal(), token::setBad(), token::setType(), and token::SUBTRACT.

Here is the call graph for this function:

## read() [2/12]

pFlow::iIstream & read | ( | char & | c | ) |

overridevirtual

Implements iIstream.

Definition at line 594 of file Istream.cpp.

## read() [3/12]

pFlow::iIstream & read | ( | word & | str | ) |

overridevirtual

Implements iIstream.

Definition at line 601 of file Istream.cpp.

References token::BEGIN_LIST, token::END_LIST, pFlow::endl(), errLen, fatalExit, ioErrorInFile, pFlow::nl, pFlow::validWord(), and warningInFunction.

Here is the call graph for this function:

## readString()

pFlow::iIstream & readString | ( | word & | str | ) |

overridevirtual

Implements iIstream.

Definition at line 683 of file Istream.cpp.

References token::BEGIN_STRING, token::END_STRING, errLen, fatalExit, ioErrorInFile, and token::NL.

## read() [4/12]

pFlow::iIstream & read | ( | int64 & | val | ) |

overridevirtual

Implements iIstream.

Definition at line 785 of file Istream.cpp.

## read() [5/12]

pFlow::iIstream & read | ( | int32 & | val | ) |

overridevirtual

Implements iIstream.

Definition at line 792 of file Istream.cpp.

## read() [6/12]

pFlow::iIstream & read | ( | int16 & | val | ) |

overridevirtual

Implements iIstream.

Definition at line 799 of file Istream.cpp.

## read() [7/12]

pFlow::iIstream & read | ( | int8 & | val | ) |

overridevirtual

Implements iIstream.

Definition at line 806 of file Istream.cpp.

## read() [8/12]

pFlow::iIstream & read | ( | label & | val | ) |

overridevirtual

Implements iIstream.

Definition at line 813 of file Istream.cpp.

## read() [9/12]

pFlow::iIstream & read | ( | uint32 & | val | ) |

overridevirtual

Implements iIstream.

Definition at line 820 of file Istream.cpp.

## read() [10/12]

pFlow::iIstream & read | ( | uint16 & | val | ) |

overridevirtual

Implements iIstream.

Definition at line 827 of file Istream.cpp.

## read() [11/12]

pFlow::iIstream & read | ( | float & | val | ) |

overridevirtual

Implements iIstream.

Definition at line 834 of file Istream.cpp.

## read() [12/12]

pFlow::iIstream & read | ( | double & | val | ) |

overridevirtual

Implements iIstream.

Definition at line 842 of file Istream.cpp.

## rewind()

void rewind | ( |  | ) |

virtual

Implements iIstream.

Definition at line 850 of file Istream.cpp.

## flags() [2/2]

std::ios_base::fmtflags flags | ( | const ios_base::fmtflags | flags | ) |

virtual

Implements IOstream.

Definition at line 870 of file Istream.cpp.

## stdStream() [1/2]

virtual std::istream& stdStream | ( |  | ) |

inlinevirtual

Definition at line 164 of file Istream.hpp.

References Istream::is_.

## stdStream() [2/2]

virtual const std::istream& stdStream | ( |  | ) | const

inlinevirtual

Definition at line 170 of file Istream.hpp.

References Istream::is_.

## Member Data Documentation

## name_

word name_

private

Definition at line 44 of file Istream.hpp.

Referenced by Istream::name().

## is_

std::istream& is_

private

Definition at line 46 of file Istream.hpp.

Referenced by Istream::stdStream().

The documentation for this class was generated from the following files:

- src/phasicFlow/streams/Stream/Istream.hpp
- src/phasicFlow/streams/Stream/Istream.cpp